# Bill Run

Use the Bill Run call to create ad hoc bill runs and Post, Cancel, Query, and Delete bill runs.
For more information about bill runs, see Bill runs.

 - [POST /v1/bill-runs](https://developer.zuora.com/v1-api-reference/api/bill-run/post_createbillrun.md): Creates an ad-hoc bill run or a scheduled bill run. Support the following: - Create ad-hoc or scheduled bill runs by batch - Create ad-hoc or scheduled bill runs by account - Create a bill run by subs
 - [DELETE /v1/bill-runs/{billRunId}](https://developer.zuora.com/v1-api-reference/api/bill-run/delete_deletebillrun.md): Deletes a bill run. You can only delete bill runs in `Canceled` or `Error` status.
 - [GET /v1/bill-runs/{billRunId}](https://developer.zuora.com/v1-api-reference/api/bill-run/get_billrun.md): Retrieves the information about a specific bill run.
 - [PUT /v1/bill-runs/{billRunId}/cancel](https://developer.zuora.com/v1-api-reference/api/bill-run/put_cancelbillrun.md): Cancels a bill run in Draft status. When cancelling a scheduled bill run, keep the following information in mind: - If you set `cancelOnce` to `true`, only the current bill run is cancelled. The other
 - [PUT /v1/bill-runs/{billRunId}/post](https://developer.zuora.com/v1-api-reference/api/bill-run/put_postbillrun.md): Posts a bill run asynchronously. To post a bill run, the current bill run must be in `Completed` status. When a bill run is being posted, its status is changed to `PostInProgress`. After all invoices
 - [POST /v1/bill-runs/{billRunKey}/emails](https://developer.zuora.com/v1-api-reference/api/bill-run/post_emailbillingdocumentsfrombillrun.md): Manually emails all the billing documents that are generated from a specified bill run to your customers. Bill runs can generate invoices and credit memos based on your [invoice and credit memo genera
